matrix:
  platform:
    - ubuntu2404
  bazel:
    - 7.x
    - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--cxxopt=-std=c++20"
      - "--host_cxxopt=-std=c++20"
    build_targets:
      - "@mp-units//:core"
      - "@mp-units//:systems"
      - "@mp-units//:mp-units"

bcr_test_module:
  module_path: "."
  matrix:
    platform:
      - ubuntu2404
    bazel:
      - 7.x
      - 8.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--cxxopt=-std=c++20"
        - "--host_cxxopt=-std=c++20"
      build_targets:
        - "//:unit_tests_static"
        - "//:hello_units"
      test_flags:
        - "--cxxopt=-std=c++20"
        - "--host_cxxopt=-std=c++20"
      test_targets:
        - "//:unit_tests_runtime"
